Package org.apache.calcite.avatica.remote

# Class Service.Response

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Response

Direct Known Subclasses:
  `Service.CloseConnectionResponse`, `Service.CloseStatementResponse`, `Service.CommitResponse`, `Service.ConnectionSyncResponse`, `Service.CreateStatementResponse`, `Service.DatabasePropertyResponse`, `Service.ErrorResponse`, `Service.ExecuteBatchResponse`, `Service.ExecuteResponse`, `Service.FetchResponse`, `Service.OpenConnectionResponse`, `Service.PrepareResponse`, `Service.ResultSetResponse`, `Service.RollbackResponse`, `Service.RpcMetadataResponse`, `Service.SyncResultsResponse`

Enclosing interface:
  Service

public abstract static class Service.Response extends Service.Base
Base class for all service response messages.

## Constructor Summary

Constructors
Constructor
Description
`Response()`

## Method Summary

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Response

public Response()